Pendant WHB04B on LinuxCNC 2.7 / Debian

More
08 Apr 2020 07:59 #163167 by Peterdeleu
I run LinuxCNC on a virtual machine. (for testing purposes, not connected to a CNC machine), so I'm able to revert to a snapshot that holds a fresh installation.

German is not an issue, I've tried the Talla83 video earlier, with a LCNC 2.7 without succes. Maybe it works better on version 2.9. But my production machine is running 2.7, and I'm afraid that a simple upgrade from 2.7 to 2.9 will give me other issues.

If the Alkabal solution doesn't work, I'll try the Talla83 solution once again.

Please Log in or Create an account to join the conversation.

More
08 Apr 2020 08:09 #163169 by MovT
The thing you need to change is the axis to joint conversion when you change from 2.7 to >2.7. This is a step i have done at first i started on LinuxCNC a few weeks ago. The change is worth it.

I can give you assistance for setting up the wheel on LCNC 2.8 or 2.9. I am on Discord on the #Hazzy server.

Best,
Udo

Please Log in or Create an account to join the conversation.

More
08 Apr 2020 09:36 #163177 by Peterdeleu
I tried to follow the Talla83 solution
During the command : ./configure --with-realtime=uspace it stops with this error message
Attachments:

Please Log in or Create an account to join the conversation.

More
08 Apr 2020 10:33 - 08 Apr 2020 10:34 #163179 by Peterdeleu
Maybe I should give up :)
I've installed giblib2.0, gtk2.0, yapps2, intltool and tcl.h
It seems like I miss a lot of things here..
It is not easy with lack of Linux knowledge :)

Now it stuks on : see error message
Attachments:
Last edit: 08 Apr 2020 10:34 by Peterdeleu.

Please Log in or Create an account to join the conversation.

More
08 Apr 2020 11:30 #163180 by Peterdeleu
Hmm compiling is not easy :).
I think I have the wrong Debian, because there's a lot of components missing to compile.

Anyway, I'll not go further with this and rollback to the Alkabal solution.
That's more easy and quick.
The only problem is.. this one : ;)
Attachments:

Please Log in or Create an account to join the conversation.

More
08 Apr 2020 12:02 - 08 Apr 2020 12:14 #163183 by alkabal
Please share your full config
or try to start

loadusr -W xhc-whb04b-6 -H
Last edit: 08 Apr 2020 12:14 by alkabal.

Please Log in or Create an account to join the conversation.

More
08 Apr 2020 12:09 #163186 by Peterdeleu
What do you mean by "full config"? is there a way to gather this by a command?

Please Log in or Create an account to join the conversation.

More
08 Apr 2020 12:13 #163189 by MovT

Peterdeleu wrote: Maybe I should give up :)
I've installed giblib2.0, gtk2.0, yapps2, intltool and tcl.h
It seems like I miss a lot of things here..
It is not easy with lack of Linux knowledge :)

Now it stuks on : see error message


apt-get install tcl-dev

Please Log in or Create an account to join the conversation.

More
08 Apr 2020 12:16 - 08 Apr 2020 12:17 #163191 by alkabal
I speak about your machine config, but i see you try to use directly from halrun so you can try

loadusr -W xhc-whb04b-6 -H
Attachments:
Last edit: 08 Apr 2020 12:17 by alkabal.

Please Log in or Create an account to join the conversation.

More
08 Apr 2020 12:28 #163194 by Peterdeleu
Stil that same error message
Attachments:

Please Log in or Create an account to join the conversation.

Time to create page: 0.098 seconds
Powered by Kunena Forum